/**
 * @author yourname
 * @since <%= current %>
 * @copyright Copyright (c) 2018, YZKJ
 * @description main
 */
import Vue from 'vue';
import VueRouter from 'vue-router';
import Vuex from 'vuex';
import App from '../App.vue';
import routes from './route';
import store from './store';

Vue.use(VueRouter);
Vue.use(Vuex);

const router = new VueRouter({
  base: __dirname,
  routes,
  scrollBehavior(to, from, savedPosition) {
    return typeof savedPosition === 'object' ? savedPosition : { x: 0, y: 0 };
  }
});

new Vue({ // eslint-disable-line
  el: '#app',
  render: h => h(App),
  router,
  store: new Vuex.Store(store)
});
