/**
 * @author yourname
 * @since <%= current %>
 * @copyright Copyright (c) 2018, CORACLE
 * @description 路由配置
 */
import index from './page/index.vue';
import detail from './page/detail.vue';

const route = [{
  path: '/',
  name: 'index',
  component: index
}, {
  path: '/detail/:id',
  name: 'detail',
  component: detail
}, {
  // 错误路径重定向到首页
  path: '*',
  redirect: '/'
}];

export default route;
